net.corda.node.services.messaging

## Class NodeMessagingClient.Handler

- net.corda.node.services.messaging.NodeMessagingClient.Handler

- All Implemented Interfaces:
    MessageHandlerRegistration
  Enclosing class:
    NodeMessagingClient

      public static class NodeMessagingClient.Handler
      implements MessageHandlerRegistration

  A registration to handle messages of different types

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `Handler(TopicSession topicSession, kotlin.jvm.functions.Function2<? super net.corda.core.messaging.ReceivedMessage,? super net.corda.core.messaging.MessageHandlerRegistration,kotlin.Unit> callback)` A registration to handle messages of different types

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `TopicSession` | `component1()`
    `kotlin.jvm.functions.Function2<net.corda.core.messaging.ReceivedMessage,net.corda.core.messaging.MessageHandlerRegistration,kotlin.Unit>` | `component2()`
    `NodeMessagingClient.Handler` | `copy(TopicSession topicSession, kotlin.jvm.functions.Function2<? super net.corda.core.messaging.ReceivedMessage,? super net.corda.core.messaging.MessageHandlerRegistration,kotlin.Unit> callback)` A registration to handle messages of different types
    `boolean` | `equals(java.lang.Object p)`
    `kotlin.jvm.functions.Function2<net.corda.core.messaging.ReceivedMessage,net.corda.core.messaging.MessageHandlerRegistration,kotlin.Unit>` | `getCallback()`
    `TopicSession` | `getTopicSession()`
    `int` | `hashCode()`
    `java.lang.String` | `toString()`

- - ### Constructor Detail

    - #### Handler

          public Handler(TopicSession topicSession,
                         kotlin.jvm.functions.Function2<? super net.corda.core.messaging.ReceivedMessage,? super net.corda.core.messaging.MessageHandlerRegistration,kotlin.Unit> callback)

      A registration to handle messages of different types

  - ### Method Detail

    - #### getTopicSession

          public TopicSession getTopicSession()

    - #### getCallback

          public kotlin.jvm.functions.Function2<net.corda.core.messaging.ReceivedMessage,net.corda.core.messaging.MessageHandlerRegistration,kotlin.Unit> getCallback()

    - #### component1

          public TopicSession component1()

    - #### component2

          public kotlin.jvm.functions.Function2<net.corda.core.messaging.ReceivedMessage,net.corda.core.messaging.MessageHandlerRegistration,kotlin.Unit> component2()

    - #### copy

          public NodeMessagingClient.Handler copy(TopicSession topicSession,
                                                  kotlin.jvm.functions.Function2<? super net.corda.core.messaging.ReceivedMessage,? super net.corda.core.messaging.MessageHandlerRegistration,kotlin.Unit> callback)

      A registration to handle messages of different types

    - #### toString

          public java.lang.String toString()

    - #### hashCode

          public int hashCode()

    - #### equals

          public boolean equals(java.lang.Object p)